Metadata-Version: 2.4
Name: canvas-eject
Version: 0.1.0
Summary: Add your description here
Requires-Python: >=3.13
Description-Content-Type: text/markdown
License-File: LICENSE
Requires-Dist: httpx>=0.28.1
Requires-Dist: rich>=14.1.0
Dynamic: license-file

canvas-eject

> Convert ChatGPT Canvas into a standalone react-router project

![canvas-eject demo](./demo.gif)
# Installation

We recommend using pipx to install `canvas-eject`:
```
pipx install canvas-eject
```

# Usage
Simply run canvas-eject with the Canvas URL as the only argument:
```
canvas-eject https://chatgpt.com/canvas/shared/[canvas-id]
```

It also accepts a plain .jsx file as its argument:
```
canvas-eject utf8-visualizer.jsx
```

